#include <unistd.h>

#include "../../config.h"

#ifdef HAVE_GETOPT_LONG
#  include <getopt.h>
#endif

int wmmsg_getopt(
        int argc, char * const argv[],
        const char *optstring,
        const void *longopts, int *longindex
)
{

#ifdef HAVE_GETOPT_LONG
        return getopt_long(argc, argv, optstring,
                (const struct option *)longopts, longindex);
#else
        return getopt(argc, argv, optstring);
#endif
}
