#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/wait.h>
#include <sys/socket.h>
#include <signal.h>
#include <sys/un.h>
#include <string.h>
#include <time.h>

#include "../../config.h"

#ifdef HAVE_GETOPT_LONG
#  include <getopt.h>
#endif

#ifdef HAVE_SYS_TIME_H
#  ifdef TIME_WITH_SYS_TIME
#    include <sys/time.h>
#  endif
#endif

#include <pwd.h>
#include <X11/xpm.h>
#include <X11/Xatom.h>
#include <gtk/gtk.h>

#include "../wmgeneral/wmgeneral.h"
#include "../wmgeneral/misc.h"

extern Display *display;
extern Window Root;
extern GC NormalGC;
extern XpmIcon wmgen;

/* constants */
#define MSG_BUFF_SIZE 1024
#define SOCKET_NAME_SIZE 105
#define WMMSG_MASK_WIDTH 64
#define WMMSG_MASK_HEIGHT 64
#define LISTEN_TIMEOUT_SECS 0
#define LISTEN_TIMEOUT_USECS 200000
#define MAX_MESSAGES global_config->max_messages
#define MESSAGES_PER_SCREEN 3
#define MAX_TIME_LENGTH 6
#define USE_GLOBAL_COMMAND global_config->use_global_command
#define GLOBAL_COMMAND global_config->global_command
#define TIME_FORMAT global_config->time_format
#define GROUPED_ICONS global_config->grouped_icons
#define CLICK_CLEARS_ALL global_config->click_clears_all
#define BLINK_ENABLED global_config->blink_enabled
#define NUMBER_OF_BLINKS global_config->number_of_blinks
#define MONITOR_DESKTOPS global_config->monitor_desktops
#define MSG_DESKTOP_NUM global_config->msg_desktop_num
#define PROTOCOL_ACTIONS global_config->protocol_actions
#define PROTOCOL_NAMES global_config->protocol_names
#define BLANK_XPM_X 6
#define BLANK_XPM_Y 64
#define BLIT_XPM_Y 90
#define PROTOCOL_COUNT global_config->protocol_count

struct message {
    int protocol;
    char time[MAX_TIME_LENGTH];
    //char* sender;
};

/* globals */
//verbose mode
char verbose;
//location of icons on XPM file
int global_intLocation_x[] = { 0, 15, 30, 45};
int global_intLocation_y[] = {77, 77, 77, 77};

